using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Net;

[ComImport]
[TypeLibType(2)]
[SuppressUnmanagedCodeSecurity]
[ClassInterface(ClassInterfaceType.None)]
[ComSourceInterfaces("Decal.Interop.Net.IWebRequestEvents\0\0")]
[Guid("15631E36-55CB-4D16-ADE7-74D9F8A5F4B6")]
public class WebRequestClass : IWebRequest, WebRequest, IWebRequestEvents_Event
{
	public virtual extern event IWebRequestEvents_BeginEventHandler Begin;

	public virtual extern event IWebRequestEvents_EndEventHandler End;

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1610743808)]
	public virtual extern void Get([MarshalAs(UnmanagedType.BStr)] string strURL);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1610743809)]
	public virtual extern void Post([MarshalAs(UnmanagedType.BStr)] string strURL, [MarshalAs(UnmanagedType.BStr)] string strPostData);
}
